## ros-indigo-fetch-teleop 0.7.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_teleop)

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

find_package(Boost REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    control_msgs
    geometry_msgs
    nav_msgs
    roscpp
    sensor_msgs
    topic_tools
)
catkin_package()

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(joystick_teleop src/joystick_teleop.cpp)
target_link_libraries(joystick_teleop
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

install(
  TARGETS joystick_teleop
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  PROGRAMS scripts/tuck_arm.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-fetch-teleop (0.7.15-0trusty) trusty; urgency=high

  * [Docs] Add URL tags to package for wiki.ros.org (backport) (#91 <https://github.com/fetchrobotics/fetch_ros/issues/91>)
  * [teleop] Safer arm teleop (#95 <https://github.com/fetchrobotics/fetch_ros/issues/95>) (backport #92 <https://github.com/fetchrobotics/fetch_ros/issues/92>)
    * Require primary dead-man for arm teleop, along with with the angular or linear selector button.
  * Contributors: Alexander Moriarty, Eric Relson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.14-0trusty) trusty; urgency=high

  * updates ownership
  * Merge pull request #68 <https://github.com/fetchrobotics/fetch_ros/issues/68> from BillWSY/indigo-devel
    Fixes an issue that tuck_arm.py spawns new roscore.
  * Fixes an issue that tuck_arm.py spawns new roscore.
    tuck_arm.py calls roslaunch without --wait flag, which may spawn new ROS
    master in a racing condition.
  * Contributors: Michael Ferguson, Russell Toris, Shengye Wang

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.13-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.12-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.11-0trusty) trusty; urgency=high

  * simpified with easier controls
  * add joystick teleop for arm control
  * Contributors: Hanjun Song, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.10-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.9-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.8-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.7-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.6-0trusty) trusty; urgency=high

  * fix attribute error when moveit does not return
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.5-0trusty) trusty; urgency=high

  * Control gripper via keyboard
  * Contributors: Kentaro Wada

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.4-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-indigo-fetch-teleop (0.7.3-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-indigo-fetch-teleop (0.7.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-indigo-fetch-teleop (0.7.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-indigo-fetch-teleop (0.7.0-0trusty) trusty; urgency=high

  * Require deadman to be held while tucking
  * add missing moveit_python depend
  * Contributors: Alex Henning, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.6.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.6.1-0trusty) trusty; urgency=high

  * make pan/tilt acceleration parameterized
  * update head tilt joint limits in teleop
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.6.0-0trusty) trusty; urgency=high

  * install tuck_arm.py
  * add a keepout zone for extra margin around base
  * add ability to run tuck arm script without joystick
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.14-0trusty) trusty; urgency=high

  * add script to tuck arm
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.13-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.12-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.11-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.10-0trusty) trusty; urgency=high

  * fix random glitches due to having two joint states publishers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.9-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.8-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.7-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.6-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

ros-indigo-fetch-teleop (0.5.5-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-fetch-teleop
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-topic-tools
Homepage: http://docs.fetchrobotics.com/teleop.html
Standards-Version: 3.9.2

Package: ros-indigo-fetch-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-topic-tools
Description: Teleoperation for fetch and freight.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-teleop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
